<div class="mat-row">
  <div class="mat-cell">
    <a mat-icon-button>
      <mat-icon>drag_handle</mat-icon>
    </a>
    <button mat-icon-button (click)="deleteFilter.emit(filter.position)">
      <mat-icon>delete</mat-icon>
    </button>
  </div>
  <div class="mat-cell">
    <span *ngIf="filter.path_verbose">({{filter.path_verbose}})</span> {{filter.field_verbose}}
  </div>
  <div class="mat-cell">
    <mat-form-field>
      <mat-select (selectionChange)="editFilter({filter_type: $event.value})" [value]="filter.filter_type">
        <mat-option value="exact" i18n>Equals</mat-option>
        <mat-option value="iexact" i18n>Equals (case-insensitive)</mat-option>
        <mat-option value="contains" i18n>Contains</mat-option>
        <mat-option value="icontains" i18n>Contains (case-insensitive)</mat-option>
        <mat-option value="in" i18n>in (comma seperated 1,2,3)</mat-option>
        <mat-option value="gt" i18n>Greater than</mat-option>
        <mat-option value="gte" i18n>Greater than equals</mat-option>
        <mat-option value="lt" i18n>Less than</mat-option>
        <mat-option value="lte" i18n>Less than equals</mat-option>
        <mat-option value="startswith" i18n>Starts with</mat-option>
        <mat-option value="istartswith" i18n>Starts with (case-insensitive)</mat-option>
        <mat-option value="endswith" i18n>Ends with</mat-option>
        <mat-option value="iendswith" i18n>Ends with (case-insensitive)</mat-option>
        <mat-option value="range" i18n>Range</mat-option>
        <mat-option value="relative_range" [disabled]="!(filter.field_type === 'DateField' || filter.field_type === 'DateTimeField')" i18n>Relative Range</mat-option>
        <mat-option value="week_day" i18n>Week day</mat-option>
        <mat-option value="isnull" i18n>Is null</mat-option>
        <mat-option value="regex" i18n>Regular Expression</mat-option>
        <mat-option value="iregex" i18n>Reg. Exp. (case-insensitive)</mat-option>
        <mat-option value="max" i18n>Max (annotation-filter)</mat-option>
        <mat-option value="min" i18n>Min (annotation-filter)</mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="mat-cell">
    <app-filter-input *ngIf="filter.filter_type!=='relative_range'"
                      [value]="filter.filter_value"
                      [fieldType]="filter.field_type"
                      [filterType]="filter.filter_type"
                      (valueChange)="editFilter({filter_value: $event})"></app-filter-input>
    <app-filter-input *ngIf="filter.filter_type==='relative_range'"
                      [value]="filter.filter_delta"
                      [unit]="filter.filter_value"
                      [filterType]="filter.filter_type"
                      (valueChange)="editFilter({filter_delta: $event})"
                      (unitChange)="editFilter({filter_value: $event})"></app-filter-input>
  </div>

  <div class="mat-cell">
    <app-filter-input *ngIf="filter.filter_type==='range'" [value]="filter.filter_value2" [fieldType]="filter.field_type" [filterType]="filter.filter_type"
      (valueChange)="editFilter({filter_value2: $event})"></app-filter-input>
  </div>

  <div class="mat-cell">
    <mat-checkbox [checked]="filter.exclude" (change)="editFilter({exclude: $event.checked })" aria-label="Exclude?"></mat-checkbox>
  </div>

</div>
